Workspaces API
Version: 1.0
Restore a deleted workspace
POST
/workspace/orgs/{org_id}/workspaces/{workspace_id}If a workspace has been soft deleted, this API allows you to restore it again. After restoring, the workspace will no longer be included in "get workspace" and "list workspace" when the deleted=true parameter is appended to your request parameters.
Request
Responses
204
Successful Response
303
Object moved -- see Method and URL list
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
400
Bad request syntax or unsupported method
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
401
No permission -- see authorization schemes
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
403
Request forbidden -- authorization will not help
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
404
Resource not found or user lacks access
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
405
Specified method is invalid for this resource
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
422
Unprocessable Content
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}